| Agda-2.2.6: A dependently typed functional programming language and proof assistant | Source code | Contents | Index

Agda.Syntax.Internal.Generic

Documentation

class TermLike a where | Source

Methods

traverseTerm :: (Term -> Term) -> a -> a | Source

traverseTermM :: (Monad m, Applicative m) => (Term -> m Term) -> a -> m a | Source

foldTerm :: Monoid m => (Term -> m) -> a -> m | Source

Instances

TermLike Type
TermLike Term
TermLike a => TermLike ([] a)
TermLike a => TermLike (Arg a)
TermLike a => TermLike (Abs a)
(TermLike a, TermLike b) => TermLike ((,) a b)

Produced by Haddock version 2.4.2